## com.imcode.imcms.mapping
Class DatabaseDocumentGetter

    java.lang.Object
      com.imcode.imcms.mapping.DatabaseDocumentGetter

All Implemented Interfaces:
  DocumentGetter

    public class DatabaseDocumentGetter

extends java.lang.Object
implements DocumentGetter

Field Summary
`static int` `PERM_CREATE_DOCUMENT` Permission to create child documents.

Constructor Summary
`DatabaseDocumentGetter()`

Method Summary
`DocumentDomainObject` `getDocument(java.lang.Integer documentId)` Returns published version of a document.
`DocumentDomainObject` `getDocument(java.lang.Integer documentId, java.lang.Integer version)` Returns custom document.
`java.util.List<DocumentDomainObject>` `getDocuments(java.util.Collection<java.lang.Integer> documentIds)` Returns published documents.
`MetaDao` `getMetaDao()`
`ImcmsServices` `getServices()`
`DocumentDomainObject` `getWorkingDocument(java.lang.Integer documentId)` Returns working version of a document.
`void` `setMetaDao(MetaDao metaDao)`
`void` `setServices(ImcmsServices services)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERM_CREATE_DOCUMENT

    public static final int PERM_CREATE_DOCUMENT

  Permission to create child documents. *

  See Also:
    Constant Field Values

Constructor Detail

### DatabaseDocumentGetter

    public DatabaseDocumentGetter()

Method Detail

### getDocument

    public DocumentDomainObject getDocument(java.lang.Integer documentId,
                                            java.lang.Integer version)

  Description copied from interface: `DocumentGetter`
  Returns custom document.

  Specified by:
    `getDocument` in interface `DocumentGetter`
  Parameters:
    `documentId` - document's id.

### getDocument

    public DocumentDomainObject getDocument(java.lang.Integer documentId)

  Description copied from interface: `DocumentGetter`
  Returns published version of a document.

  Specified by:
    `getDocument` in interface `DocumentGetter`

### getWorkingDocument

    public DocumentDomainObject getWorkingDocument(java.lang.Integer documentId)

  Description copied from interface: `DocumentGetter`
  Returns working version of a document.

  Specified by:
    `getWorkingDocument` in interface `DocumentGetter`
  Parameters:
    `documentId` - document's id.

### getDocuments

    public java.util.List<DocumentDomainObject> getDocuments(java.util.Collection<java.lang.Integer> documentIds)

  Returns published documents.

  Specified by:
    `getDocuments` in interface `DocumentGetter`

### getServices

    public ImcmsServices getServices()

### setServices

    public void setServices(ImcmsServices services)

### getMetaDao

    public MetaDao getMetaDao()

### setMetaDao

    public void setMetaDao(MetaDao metaDao)